import java.util.Scanner;

import jeuBalle.JeuBalle;
import moteur.Jeu;
import moteur.Moteur;

/**
 * lance un jeu balle
 * @author vthomas
 *
 */
public class Main {

	/**
	 * main qui lance le jeu
	 * 
	 * @param args
	 * @throws InterruptedException
	 */
	public static void main(String[] args) throws InterruptedException {
		// classe Jeu a ecrire
		Jeu j = new JeuBalle();

		// affichage initial
		System.out.println("*****************************************");
		System.out.println("*       test moteur de jeu              *");
		System.out.println("*****************************************");

		// nb iterations
		System.out.println("nb iterations ? (500)");
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();

		// fps
		System.out.println(" ---> frame par secondes ? (100)");
		int fps = sc.nextInt();
		long dureeBoucle = 1000 / fps;
		System.out.println("duree d'une boucle " + dureeBoucle + "ms");

		// on recupere en nanos
		long dateDebut = System.currentTimeMillis();

		// on lance le jeu
		Moteur moteur=new Moteur(j);
		moteur.lancerBoucle(n, dureeBoucle);

		// le temps apres
		long dateFin = System.currentTimeMillis();

		// statistiques
		String FPSReel = "FPS = " + (n * 1000.0 / (dateFin - dateDebut));
		System.out.println("\n\n\n************************\n");
		System.out.println(FPSReel);
		System.out.println("\n************************");

		// pause
		System.out.println("appuyer sur entree");
		sc.nextLine();

		sc.close();
		System.exit(0);
	}
	
}
